| Elektra 0.11.0

Functions
kdbmeta.h File Reference

metadata functions More...

`#include "kdb.h"`

## Functions
const char * | keyComment (const Key *key)
| Return a pointer to the real internal `key` comment.
ssize_t | keyGetCommentSize (const Key *key)
| Calculates number of bytes needed to store a key comment, including final NULL.
ssize_t | keyGetComment (const Key *key, char *returnedDesc, size_t maxSize)
| Get the key comment.
ssize_t | keySetComment (Key *key, const char *newDesc)
| Set a comment for a key.
int | elektraKeyCmpOrder (const Key *a, const Key *b)
| Compare the order metadata of two keys.
KeySet * | elektraMetaArrayToKS (Key *, const char *)
| Create a `KeySet` from a metakey array.
void | elektraMetaArrayAdd (Key *, const char *, const char *)
| creates an metadata array or appends another element to an existing metadata array e.g.
char * | elektraMetaArrayToString (const Key *, const char *, const char *)
| returns the metakey array as a string separated by delim
int | elektraSortTopology (KeySet *, Key **)
| topological sorting

## Detailed Description

metadata functions

These functions might be removed in a later version.

Copyright
  BSD License (see LICENSE.md or https://www.libelektra.org)